Skip to content
  • GET /api/v1/projects/{id}/containers β€” Get all containers for a project
  • POST /api/v1/projects/{id}/containers β€” Create a new container
  • GET /api/v1/containers/ β€” Get all containers
  • GET /api/v1/containers/{id} β€” Get a container by ID
  • PUT /api/v1/containers/{id} β€” Update a container
  • PATCH /api/v1/containers/{id} β€” Update a container
  • DELETE /api/v1/containers/{id} β€” Delete a container
  • GET /api/v1/containers/{id}/status-logs β€” Get status logs for a container
  • POST /api/v1/containers/{id}/copy β€” Copy a container
  • POST /api/v1/containers/{id}/sync β€” Sync a copied container with its source
  • POST /api/v1/containers/{id}/authorize β€” Authorize Container Access
  • POST /api/v1/containers/{id}/{operation} β€” Manage container
  • GET /api/v1/containers/{id}/network β€” Get container network configuration
  • PUT /api/v1/containers/{id}/network β€” Update container network configuration
  • PATCH /api/v1/containers/{id}/network β€” Update container network configuration
  • DELETE /api/v1/containers/{id}/network β€” Remove container network configuration
  • POST /api/v1/containers/{id}/network/start β€” Start container network proxy/blocking
  • POST /api/v1/containers/{id}/network/stop β€” Stop container network proxy/blocking
  • GET /api/v1/containers/{id}/snapshots β€” Get container snapshots
  • POST /api/v1/containers/{id}/snapshots β€” Create container snapshot
  • PUT /api/v1/containers/{id}/snapshots/{name} β€” Restore container from snapshot
  • PATCH /api/v1/containers/{id}/snapshots/{name} β€” Restore container from snapshot
  • DELETE /api/v1/containers/{id}/snapshots/{name} β€” Delete container snapshot
  • PUT /api/v1/containers/{id}/snapshots/{name}/alias β€” Update snapshot alias
  • PATCH /api/v1/containers/{id}/snapshots/{name}/alias β€” Update snapshot alias
  • GET /api/v1/containers/{id}/stats β€” Get container resource statistics
Terminal window
# CLI mapping will be generated from the SDK CLI sources in a later step.
# Example (placeholder):
# hoody-cli <command> --help